Package io.vertx.rxjava3.rabbitmq

## Class RabbitMQMessage

- java.lang.Object
- - io.vertx.rxjava3.rabbitmq.RabbitMQMessage

- All Implemented Interfaces:
    `io.vertx.lang.rx.RxDelegate`

      public class RabbitMQMessage
      extends Object
      implements io.vertx.lang.rx.RxDelegate

  Represent a message received message received in a rabbitmq-queue.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<RabbitMQMessage>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RabbitMQMessage​(RabbitMQMessage delegate)` |
    `RabbitMQMessage​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Buffer` | `body()` |
    `String` | `consumerTag()` |
    `com.rabbitmq.client.Envelope` | `envelope()` |
    `boolean` | `equals​(Object o)` |
    `RabbitMQMessage` | `getDelegate()` |
    `int` | `hashCode()` |
    `Integer` | `messageCount()` |
    `static RabbitMQMessage` | `newInstance​(RabbitMQMessage arg)` |
    `com.rabbitmq.client.BasicProperties` | `properties()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<RabbitMQMessage> __TYPE_ARG

  - ### Constructor Detail

    - #### RabbitMQMessage

          public RabbitMQMessage​(RabbitMQMessage delegate)

    - #### RabbitMQMessage

          public RabbitMQMessage​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public RabbitMQMessage getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### body

          public Buffer body()

      Returns:
        the message body

    - #### consumerTag

          public String consumerTag()

      Returns:
        the consumer tag associated with the consumer

    - #### messageCount

          public Integer messageCount()

      Returns:
        the message count for messages obtained with `RabbitMQClient.basicGet(java.lang.String, boolean)`

    - #### envelope

          public com.rabbitmq.client.Envelope envelope()

      Returns:
        packaging data for the message

    - #### properties

          public com.rabbitmq.client.BasicProperties properties()

      Returns:
        content header data for the message

    - #### newInstance

          public static RabbitMQMessage newInstance​(RabbitMQMessage arg)